Axis2/C: axiom_xml_writer_ops Struct Reference

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axiom_xml_writer_ops Struct Reference
[XML writer]

axiom_xml_writer ops Encapsulator struct for ops of axiom_xml_writer More...

`#include <axiom_xml_writer.h>`

List of all members.

## Public Attributes
void(* | free )(axiom_xml_writer_t *writer, const axutil_env_t *env)
axis2_status_t(* | write_start_element )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname)
axis2_status_t(* | end_start_element )(axiom_xml_writer_t *writer, const axutil_env_t *env)
axis2_status_t(* | write_start_element_with_namespace )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri)
axis2_status_t(* | write_start_element_with_namespace_prefix )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri, axis2_char_t *prefix)
axis2_status_t(* | write_empty_element )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname)
axis2_status_t(* | write_empty_element_with_namespace )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri)
axis2_status_t(* | write_empty_element_with_namespace_prefix )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri, axis2_char_t *prefix)
axis2_status_t(* | write_end_element )(axiom_xml_writer_t *writer, const axutil_env_t *env)
axis2_status_t(* | write_end_document )(axiom_xml_writer_t *writer, const axutil_env_t *env)
axis2_status_t(* | write_attribute )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value)
axis2_status_t(* | write_attribute_with_namespace )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value, axis2_char_t *namespace_uri)
axis2_status_t(* | write_attribute_with_namespace_prefix )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value, axis2_char_t *namespace_uri, axis2_char_t *prefix)
axis2_status_t(* | write_namespace )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *prefix, axis2_char_t *namespace_uri)
axis2_status_t(* | write_default_namespace )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *namespace_uri)
axis2_status_t(* | write_comment )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *value)
axis2_status_t(* | write_processing_instruction )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *target)
axis2_status_t(* | write_processing_instruction_data )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *target, axis2_char_t *data)
axis2_status_t(* | write_cdata )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *data)
axis2_status_t(* | write_dtd )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *dtd)
axis2_status_t(* | write_entity_ref )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *name)
axis2_status_t(* | write_start_document )(axiom_xml_writer_t *writer, const axutil_env_t *env)
axis2_status_t(* | write_start_document_with_version )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *version)
axis2_status_t(* | write_start_document_with_version_encoding )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *version, axis2_char_t *encoding)
axis2_status_t(* | write_characters )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *text)
axis2_char_t *(* | get_prefix )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *uri)
axis2_status_t(* | set_prefix )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *prefix, axis2_char_t *uri)
axis2_status_t(* | set_default_prefix )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *uri)
axis2_status_t(* | write_encoded )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *text, int in_attr)
void *(* | get_xml )(axiom_xml_writer_t *writer, const axutil_env_t *env)
unsigned int(* | get_xml_size )(axiom_xml_writer_t *writer, const axutil_env_t *env)
int(* | get_type )(axiom_xml_writer_t *writer, const axutil_env_t *env)
axis2_status_t(* | write_raw )(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *content)
axis2_status_t(* | flush )(axiom_xml_writer_t *writer, const axutil_env_t *env)

## Detailed Description

axiom_xml_writer ops Encapsulator struct for ops of axiom_xml_writer

## Member Data Documentation

void( * axiom_xml_writer_ops::free)(axiom_xml_writer_t *writer, const axutil_env_t *env)

Free xml writer

Parameters:

  | writer | pointer to xml_writer struct to be freed
  | env | environment, MUST NOT be NULL.

Returns:
  status of the op. AXIS2_SUCCESS on success and AXIS2_FAILURE on error

axis2_status_t( * axiom_xml_writer_ops::write_start_element)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname)

Write a start tag to output stream with localname. Internally the writer keeps track of the opened tags

Parameters:

  | writer | pointer to xml writer struct
  | env | environment. MUST NOT be NULL.
  | localname | localname of the tag, May not be NULL.

Returns:
  the status of the op, AXIS2_SUCCESS on success AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::end_start_element)(axiom_xml_writer_t *writer, const axutil_env_t *env)

write an end tag to the output relying on the internal state of writer to determine the prefix and localname of the element

Parameters:

  | writer | xml_writer struct
  | env | environment, MUST NOT be NULL.

Returns:
  status of the op. AXIS2_SUCCESS on success. AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_start_element_with_namespace)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri)

Write an element tag with localname and namespace uri

Parameters:

  | writer | pointer to xml writer struct
  | env | environment struct
  | localname | localname of the tag, May not be null.
  | namespace_uri | the namespace URI of the the pefix to use.may not be null.

Returns:
  status of the op, AXIS2_SUCCESS on success. AXIS2_FAILURE on error

axis2_status_t( * axiom_xml_writer_ops::write_start_element_with_namespace_prefix)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri, axis2_char_t *prefix)

write a start tag to output

Parameters:

  | writer | pointer to xml_writer struct
  | environment,MUST | NOT be NULL.
  | localname | localname of the tag, May not be null.
  | namespace_uri | namespace to bind the prefix to
  | prefix | the prefix to the tag.May not be NULL.

Returns:
  status of the op AXIS2_SUCCESS on success. AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_empty_element)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname)

write an element tag with localname

Parameters:

  | writer | xml_writer
  | env | environment
  | localname | localname

Returns:
  status of the op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_empty_element_with_namespace)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri)

write empty_element with localname and namespace uri.

Parameters:

  | writer | xml writer
  | env | environment
  | localname | localname
  | namespace | uri

Returns:
  status of the op, AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_empty_element_with_namespace_prefix)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *namespace_uri, axis2_char_t *prefix)

write empty element with namespace uri and prefix

Parameters:

  | writer | xml_writer
  | env | environment
  | localname | localname
  | namespace_uri | namespace uri
  | prefix | prefix

Returns:
  status of the op, AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_end_element)(axiom_xml_writer_t *writer, const axutil_env_t *env)

write end tag with correct localname prefix resolved internally

Parameters:

  | writer | xml writer
  | env | environment

Returns:
  status of the op, AXIS2_SUCCESS on success, AXIS2_FAILURE on failure

axis2_status_t( * axiom_xml_writer_ops::write_end_document)(axiom_xml_writer_t *writer, const axutil_env_t *env)

write end document

Parameters:

  | writer | xml writer
  | env | environment

Returns:
  status of the op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_attribute)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value)

write attribute with localname and value

Parameters:

  | writer | writer
  | env | environment
  | localname | localname
  | value | text value of attribute

Returns:
  status of the op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_attribute_with_namespace)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value, axis2_char_t *namespace_uri)

Parameters:

  | writer |
  | env | environment
  | localname |
  | value | text value of attribute
  | namespace | uri namespace uri

Returns:
  status code of the op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_attribute_with_namespace_prefix)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *localname, axis2_char_t *value, axis2_char_t *namespace_uri, axis2_char_t *prefix)

Parameters:

  | writer | xml_writer
  | env | environment
  | localname | localname
  | value | text value of attribute
  | namespace | uri namespaceuri
  | prefix | prefix

axis2_status_t( * axiom_xml_writer_ops::write_namespace)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *prefix, axis2_char_t *namespace_uri)

Parameters:

  | writer | xml_writer
  | env | environment
  | prefix | prefix
  | namespace | uri namespaceuri

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_default_namespace)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *namespace_uri)

Parameters:

  | writer | xml_writer
  | env | environment
  | namespace | uri namespaceuri

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_comment)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *value)

Parameters:

  | writer | xml_writer
  | env | environment
  | value | value

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_processing_instruction)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *target)

Parameters:

  | writer | xml_writer
  | env | environment
  | target | pi target

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_processing_instruction_data)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *target, axis2_char_t *data)

Parameters:

  | writer | xml_writer
  | env | environment
  | target | pi target
  | data | pi data

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_cdata)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *data)

Parameters:

  | writer | xml_writer
  | env | environment
  | data | cdata

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_dtd)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *dtd)

Parameters:

  | writer | xml_writer
  | env | environment
  | dtd | dtd

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_entity_ref)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *name)

Parameters:

  | writer | xml_writer
  | env | environment
  | name | name

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_start_document)(axiom_xml_writer_t *writer, const axutil_env_t *env)

Parameters:

  | writer | xml_writer
  | env | environment

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_start_document_with_version)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *version)

Parameters:

  | writer | xml_writer
  | env | environment
  | version | version

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_start_document_with_version_encoding)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *version, axis2_char_t *encoding)

Parameters:

  | writer | xml_writer
  | env | environment
  | version | version
  | encoding | encoding

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_characters)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *text)

Parameters:

  | writer | xml_writer
  | env | environment
  | text | text

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_char_t*( * axiom_xml_writer_ops::get_prefix)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *uri)

Parameters:

  | writer | xml_writer
  | env | environment
  | uri | uri

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::set_prefix)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *prefix, axis2_char_t *uri)

Parameters:

  | writer | xml_writer
  | env | environment
  | prefix | prefix
  | uri | uri

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::set_default_prefix)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *uri)

Parameters:

  | writer | xml_writer
  | env | environment
  | uri | uri

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

axis2_status_t( * axiom_xml_writer_ops::write_encoded)(axiom_xml_writer_t *writer, const axutil_env_t *env, axis2_char_t *text, int in_attr)

Parameters:

  | writer | xml_writer
  | env | environment
  | text | text
  | in_attr |

Returns:
  status of op AXIS2_SUCCESS on success, AXIS2_FAILURE on error.

The documentation for this struct was generated from the following file:

- axiom_xml_writer.h